Bug 1004703 - SELinux is preventing /usr/sbin/skdump from 'read' accesses on the blk_file sdb.
SELinux is preventing /usr/sbin/skdump from 'read' accesses on the blk_file sdb.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:b5d10218f8ecf716240dc4a597b...
:
Depends On: 800574
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 05:51 EDT by Igor Gnatenko
Modified: 2015-06-29 20:41 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2013-09-05 05:51:40 EDT
Description of problem:
SELinux is preventing /usr/sbin/skdump from 'read' accesses on the blk_file sdb.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that skdump should be allowed read access on the sdb blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep skdump /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                sdb [ blk_file ]
Source                        skdump
Source Path                   /usr/sbin/skdump
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           libatasmart-0.19-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.x86_64 #1 SMP Thu
                              Aug 29 19:05:45 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-09-01 10:42:28 MSK
Last Seen                     2013-09-01 10:42:28 MSK
Local ID                      b8540682-fa22-40ec-8807-fed79377401b

Raw Audit Messages
type=AVC msg=audit(1378017748.841:696): avc:  denied  { read } for  pid=16131 comm="skdump" name="sdb" dev="devtmpfs" ino=338056 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file


type=SYSCALL msg=audit(1378017748.841:696): arch=x86_64 syscall=open success=no exit=EACCES a0=180b6c0 a1=80900 a2=0 a3=3b77d335c0 items=0 ppid=16128 pid=16131 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=skdump exe=/usr/sbin/skdump subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: skdump,abrt_t,fixed_disk_device_t,blk_file,read

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.11.0-3.fc20.x86_64
type:           libreport

Potential duplicate: bug 799713
Comment 1 Igor Gnatenko 2013-09-05 05:52:28 EDT
$ sudo livecd-iso-to-disk --format --efi Fedora-19-x86_64-netinst.iso /dev/sdb
Comment 2 Miroslav Grepl 2013-09-09 15:28:39 EDT
Was there a crash?
Comment 3 Igor Gnatenko 2013-09-10 13:34:00 EDT
(In reply to Miroslav Grepl from comment #2)
> Was there a crash?
no. finished w/o/ crash. After this command 3 sealerts only.
Comment 4 sunkins 2014-01-22 09:55:41 EST
Description of problem:
yum update and then bugs come

Additional info:
reporter:       libreport-2.1.11
hashmarkername: setroubleshoot
kernel:         3.12.8-300.fc20.x86_64
type:           libreport
Comment 5 Jorge 2014-05-15 19:40:24 EDT
Description of problem:
Hello, I try burn image with "image burner" inside fedora.... its all...

Additional info:
reporter:       libreport-2.2.1
hashmarkername: setroubleshoot
kernel:         3.13.9-200.fc20.x86_64
type:           libreport
Comment 6 Daniel Walsh 2014-05-17 05:58:34 EDT
We should just add a dontaudit for this.

82c3b53b36fc7235dd831a2dfa12742eea6a8c8d adds dontaudit in git.
Comment 7 Miroslav Grepl 2014-05-20 06:34:11 EDT
(In reply to Daniel Walsh from comment #6)
> We should just add a dontaudit for this.
> 
> 82c3b53b36fc7235dd831a2dfa12742eea6a8c8d adds dontaudit in git.

Back ported also to F20.
Comment 8 Fedora End Of Life 2015-05-29 05:22:01 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 20:41:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.